Bug 428925 - Review Request: bongo - An easy-to-use mail and calendar system
Review Request: bongo - An easy-to-use mail and calendar system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On: 434635
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 21:30 EST by David Nielsen
Modified: 2008-09-07 13:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 21:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2008-01-15 21:30:04 EST
Spec URL: http://www.lovesunix.net/fedora/bongo.spec
SRPM URL: http://www.lovesunix.net/fedora/bongo-0.2.93-1.fc9.src.rpm

Description: 
Bongo is an easy-to-use mail and calendar system, offering a simple
yet powerful user interface. The goal is to make sharing, organization,
and communication simpler, quicker, and more useful.

Note: 
This still needs to be grokked to build against system libical and clucene (x86_64 bug - supposedly fixed in SVN, will investigate possibility of patching).
Comment 1 Jakub 'Livio' Rusinek 2008-01-16 06:14:00 EST
I'm packaging libical, if you're interested:
https://bugzilla.redhat.com/show_bug.cgi?id=426698
Comment 2 David Nielsen 2008-01-16 11:33:16 EST
if you didn't notice it I already set this to be blocked by your review request
and I took the review of libical.. however reading the code there is no way to
overwrite the bundled libical so I opened a bug upstream.
Comment 3 Dennis Jacobfeuerborn 2008-01-16 11:59:18 EST
Rebuilding the source rpm works fine but when I try to install the bongo package
I get the following error:

[root@nexus dennis]# rpm -Uvh
"/home/dennis/rpmbuild/RPMS/i386/bongo-0.2.93-1.fc9.i386.rpm"
Preparing...                ########################################### [100%]
	file /usr/lib/libclucene.so.0.0.0 from install of bongo-0.2.93-1.fc9.i386
conflicts with file from package clucene-core-0.9.20-2.fc9.i386
Comment 4 David Nielsen 2008-01-16 13:20:48 EST
yeah that is a known issue, we currently need to build against the bundled
clucene because of a x86_64 bug. This is fixed in SVN and I am working on a
patch to allow building against the system clucene.
Comment 5 David Nielsen 2008-01-17 18:10:06 EST
Turns out the problem is really clucene not being good friends with x86_64, I
was under the impression this was a bongo bug but turns out I was wrong. Sadly
the upstream bug for this problem has been open for nearly 6 months now[1] and
all we have to go on is a hack. I am not thinking that asking the clucene
maintainer to add this hack is a good direction to go so I am making Bongo
ExcludeArch and the plan is to ask on Fedora-devel is anyone has the skills to
solve this problem.

The good news is that upstream Bongo is looking into replacing their bundled
libical in favor of the Citadel libical. This is naturally pending on #426698.

[1] 
http://sourceforge.net/tracker/index.php?func=detail&aid=1753827&group_id=80013&atid=558446
Comment 6 David Nielsen 2008-01-20 04:34:55 EST
Spec URL: http://www.lovesunix.net/fedora/bongo.spec
SRPM URL: http://www.lovesunix.net/fedora/bongo-0.2.93-2.fc8.src.rpm

New idea, let's patch out the warning and try to cause the bug. It's really not
a Bongo bug but a CLucene bug so if this bug is real this will hopefully give us
more information. Bongo is pre 1.0 as it is, problems should be expected, so I
don't suppose this is going to be a big problem. Regardless if anything should
be excluded on x86_64 it should probably be CLucene not Bongo.

So go forth and crash CLucene my minions.
Comment 7 David Nielsen 2008-02-01 01:07:54 EST
SRPM: http://dnielsen.fedorapeople.org/bongo-0.3.0-1.fc8.src.rpm
SPEC: http://dnielsen.fedorapeople.org/bongo.spec

Bump to 0.3.0

The libical work still hasn't gone upstream, I suspect this would need to
conflict with our system libical untill that happens.
Comment 8 Peter Gordon 2008-02-01 01:27:15 EST
I'll poke through this tomorrow if no one wants to do so before then. :)

Thanks.
Comment 9 David Nielsen 2008-02-04 00:11:56 EST
Peter did you forget about this.. also do you have a review you want to swap for
this one?
Comment 10 Peter Gordon 2008-02-04 01:13:07 EST
Aack, sorry about that. I spent most of the weekend out with friends/family and
forgot about this entirely. Rest assured it will be my first priority after
class  tomorrow.
Comment 11 David Nielsen 2008-02-04 06:10:06 EST
SRPM: http://dnielsen.fedorapeople.org/bongo-0.3.1-1.fc8.src.rpm
SPEC: http://dnielsen.fedorapeople.org/bongo.spec

Bumpity bump bump bump to 0.3.1 as it was just released.
Comment 12 Dennis Jacobfeuerborn 2008-02-05 16:03:57 EST
There seems to be a problem with one of the included libraries:

[root@nexus ~]# bongo-config install
IP address to run on [127.0.0.1]: 
DNS name to use as main hostname: [localhost]: 
Mail Domains (enter "" to end adding domains): []: 
ERROR: Couldn't initialise auth subsystem

An strace reveals the following reason for the failure:

open("/usr/lib/bongo-auth/libauthsqlite3.so", O_RDONLY) = -1 ENOENT (No such
file or directory)

The directory is missing the needed symlink:

[root@nexus bongo-auth]# ls -l libauthsqlite3.*
lrwxrwxrwx 1 root root    23 2008-02-05 17:20 libauthsqlite3.so.0 ->
libauthsqlite3.so.0.0.0
-rwxr-xr-x 1 root root 10612 2008-02-05 17:19 libauthsqlite3.so.0.0.0

After creating the link manually Bongo works as it should.
Comment 13 David Nielsen 2008-02-06 01:29:03 EST
%{_libdir}/bongo-auth/libauthsqlite3.so is in the -devel package like the
guidelines demands. It should likely try to open .so.0

Try this:
SRPM: http://dnielsen.fedorapeople.org/bongo-0.3.1-2.fc8.src.rpm
SPEC: http://dnielsen.fedorapeople.org/bongo.spec

- 5 sec untested patch for the above .so problem
Comment 14 Eric Kerby 2008-02-20 22:35:06 EST
I'm just wondering how this package review is going.  I for one would love to
start playing around with bongo installed from a fedora repo.  I'm certainly not
going to switch my data to bongo until it stables up a bit, but I sure would
like to start playing with the system so I can give solid feedback to the
developers.
Comment 15 Peter Gordon 2008-02-21 22:10:22 EST
(In reply to comment #14)
> I'm just wondering how this package review is going.  I for one would love to
> start playing around with bongo installed from a fedora repo.  I'm certainly not
> going to switch my data to bongo until it stables up a bit, but I sure would
> like to start playing with the system so I can give solid feedback to the
> developers.

Hi, Eric.

Mock was complaining a lot before I realized that I had almost no disk space
left on /var. I've fixed that up and now am about half-done or so with the
review; I should have it finished by tomorrow assuming no further complications.

Thanks.
Comment 16 Peter Gordon 2008-02-22 17:59:05 EST
Sorry about the rather excessive tardiness of this review. Real Life can
sometimes be a bit annoying. :(

Anyway, here we go! Formal review of bongo-0.3.1-2:

=== GOOD ===
+ Package naming/version is OK. Spec file is appropriately named ("%{name}.spec").
+ License (GPLv2) is acceptable for Fedora and matches that of the code.
+ rpmlint is silent on the source RPM
+ Builds successfully in mock (F8/x86_64 and devel/x86_64) 
+ Final file and directory ownership is OK, with no duplicates and appropriate
%defattr lines.
+ BuildRoot is OK, and is properly removed as the first step in %install and as
the only step in %clean.
+ Final requires/provides are sane.
+ Summary and %description are good. The spec is legible and written in American
English.
+ File encodings are OK.
+ Compiler flags are honored; and parallel make is used.
+ -debuginfo packages seem OK.
+ No static libraries or libtool archives present.
+ Binaries contain no RPATH kludges.
+ Macro usage is consistent.
+ Locale files handled appropriately (via %find_lang).
+ Timestamps look OK.
+ Scriplets are OK, including user/group creation in %pre and /sbin/ldconfig
invocations on %post/%postun for the installed shared libraries.
+ Web app data is properly placed into /usr/share/bongo.
+ Package does not seem to conflict with other Fedora stuff.
+ Properly handles installation of Python module and scripts via
%python_sitearch and %python_sitelib.
+ License is included in the package (COPYING).
+ Sources match those of upstream:
  9e841f0e31667be668d023cc8586a943  bongo-0.3.1-srpm.tar.bz2
  9e841f0e31667be668d023cc8586a943  bongo-0.3.1-upstream.tar.bz2
+ Package contains permissible code.
+ Documentation (%doc) does not affect runtime of the program.
+ Header files, pkgconfig data, and unversioned library symlinkes are in a
-devel subpackage as required. It has proper dependencies on the main package
and pkgconfig.
+ All filenames are valid UTF-8 
 

=== NEEDS WORK ===
X: Duplicate BuildRequires: libgcrypt-devel (pulled in by gnutls-devel)
X: rpmlint complains a lot on the built binary packages:

> bongo.x86_64: W: non-conffile-in-etc /etc/bongo/logs.conf

Please mark all configuration files (usually in /etc) with %config(noreplace)
so that local changes do not get overridden on package upgrades, etc.
(Wiki: Packaging/Guidelines, "Configuration files")

The other complaints are all false positives.

> bongo-devel.x86_64: W: no-documentation

This is fine. All the documentation is included within the main package.

> bongo-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/bongo-auth/libauthsqlite3.so libauthsqlite3.so.0.0.0
> bongo-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/bongo-auth/libauthodbc.so libauthodbc.so.0.0.0
> bongo-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/bongo-auth/libauthldap.so libauthldap.so.0.0.0

These also are ignorable, as they are just the unversioned symlinks to the
libraries in the same directory.

> bongo-devel.x86_64: E: only-non-binary-in-usr-lib

Again, also ignorable. The only stuff in %{_libdir} is the pkgconfig data and
the unversioned symlinks.

X: It includes an internal copy of MochiKit
(bongo-0.3.1/src/www/js/lib/MochiKit). If possible, please make Bongo use the
system copy, since it's available as a package in Fedora.

X: It also bundles a copy of libical. Now that it is in Fedora (bug 426698),
please build against a system copy if possible.

X: ABOUT-NLS is an automatically gettext-generated file; we probably don't need
to include that as %doc in the final build.   

=== MINOR === 
(1) rpmlint complains about executable source files in the debuginfo:

> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/avirus/stream.c
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/avirus/mime.c
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/avirus/avirus.h
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/avirus/avirus.c
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/smtp/smtpd.h
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/imap/imapd.h
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/agents/generic/generic.c
> bongo-debuginfo.x86_64: W: spurious-executable-perm
/usr/src/debug/bongo-0.3.1/src/libs/python/libbongo/bongoutil.c

These can probably all be fixed with some chmod-fu in the %setup section. Not a
huge issue.

=== NOT APPLICABLE ===
* Package is not relocatable.
* No large documentation; no -doc subpackage is necessary.
* Not a GUI package, .desktop file handling not necessary.
Comment 17 David Nielsen 2008-02-23 12:21:36 EST
we can't build against system libical yet as stated above. Additionally upstream
has notified me that the libical we package is not indeed as initially thought
the current blessed upstream (I'll go file a bug to have Jakub update the
package). Till that happens and upstream adds support.

Request to make compiling against system MockiKit upstream:
https://gna.org/bugs/index.php?11133

I removed ABOUT-NLS and fixed the configuration file handling.

SRPM: http://dnielsen.fedorapeople.org/bongo-0.3.1-3.fc8.src.rpm
SPEC: http://dnielsen.fedorapeople.org/bongo.spec

I'll work on the rest of the issues you pointed out, just handling the low
hanging fruit and setting the blocker on the libical vendor change request so we
can use the system libical once supported.
Comment 18 Jakub 'Livio' Rusinek 2008-02-23 15:13:19 EST
> I'll go file a bug to have Jakub update the package

I can't change source AGAIN. It would broke my osmo.
Comment 19 David Nielsen 2008-02-23 16:34:11 EST
(In reply to comment #18)
> > I'll go file a bug to have Jakub update the package
> 
> I can't change source AGAIN. It would broke my osmo.

One package should not be a major hindrance, additionally citadel if based on
freeassociations implementation so the porting effort is hopefully small. I
would be happy to attempt to port the app should any problems occur. At any
rate, a more in-depth argument for switching has been posted in the bug report
which I urge you to read and follow up on there.
Comment 20 Peter Gordon 2008-04-11 21:56:52 EDT
David, given your recent decision to leave the project
(https://www.redhat.com/archives/fedora-devel-list/2008-April/msg00883.html), I
believe it is safe to mark this review as dead. Please don't hesitate to re-open
with further comments if you feel otherwise. 

Thanks.
Comment 21 Debarshi Ray 2008-06-25 01:16:35 EDT
I am interested in reviving this. I will look into the work done till now and
submit the Spec/SRPM pair once I am done.
Comment 22 Eric Kerby 2008-06-30 20:59:57 EDT
Fantastic Debarshi!  I look forward to seeing what progress you make.

Note You need to log in before you can comment on or make changes to this bug.